if(document.factuform.elements[0].value=="") { document.factuform.elements[3].value="2016-12-";document.factuform.elements[4].value="12";document.factuform.elements[7].value="19.00" ;document.factuform.elements[2].value="33" }
document.factuform.elements[1].focus()
document.factuform.elements[1].select()
function chng(x) {
if(x==0) valact()
if(x==9 || x==10){
        exe=document.factuform.elements[9].value
        neto=document.factuform.elements[10].value
        iva= Math.round(neto*.19)
        tot=exe/1 +neto/1 +iva/1
        document.factuform.elements[11].value=iva
        document.factuform.elements[12].value=tot
}
if(x==1) {
        if (document.factuform.elements[1].value!="")
        document.factuform.elements[20].disabled = false
        else document.factuform.elements[20].disabled = true
}

}
//function exswap()
//{
	//return
//}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.factuform.elements[i].value!="") fld=1
                if(fld==0) document.factuform.elements[0].value="*"
                return true
        }
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.factuform.elements[row].value)-1
if(document.factuform.elements[row+1].value !="")
if(document.factuform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.factuform.elements[nhd+i*ncd+j].value=document.factuform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.factuform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.factuform.elements[nhd+i*ncd+j].value=document.factuform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.factuform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function newform() { alert(document.factuform.elements[0].value)
document.factuform.elements[0].value="" 
alert(document.factuform.elements[0].value)
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{

	document.factuform.elements[i].value=""
	if(document.factuform.elements[i].type=="checkbox")
		document.factuform.elements[i].checked=false
}
document.factuform.elements[i++].disabled=false
document.factuform.elements[i++].disabled=true
document.factuform.elements[0].readOnly=false
tp=0
for (j=i;j< document.factuform.elements.length;j++)
if(document.factuform.elements[j].type=="text") document.factuform.elements[j].value=""
swapout()
document.factuform.elements[1].focus()
}
